REST SDK for RHEL - gcc 4.4.7 ?

May 7, 2014 at 7:26 AM
Hi,
I'm trying to compile this on RHEL 6.5 and gcc version is 4.4.7.
It seems SDK compiled in higher version of gcc (4.8), is it compatible with 4.4.7 as well ?

Regards
Palani
May 7, 2014 at 9:59 AM
You need g++ 4.8 or newer. Previous versions of g++ don't support C++ 11. SDK works great on Ubuntu 12.04 or later. Seems like no one has succeeded in getting CentOS 6.5 or RHEL 6.5 to run the SDK. I tried but had no success. I'm going to try to port the SDK to RHEL 7 server. Success is more likely as RHEL 7 seems to have all the required packages available.
May 7, 2014 at 10:08 AM
Thanks a lot, Keep me update on attempt in RHEL 7.
May 7, 2014 at 10:24 AM
Will do. I hope to reach some conclusion about a RHEL 7 port within two weeks.
May 10, 2014 at 6:03 PM
I've started a new thread called "RHEL 7 Success". It explains how to get the C++ Rest SDK running on RHEL 7. Not at all difficult, probably easier than Ubuntu as most requisite software comes pre-loaded.
Marked as answer by roschuma on 5/12/2014 at 7:02 AM